# Module PropList

    module PropList: sig .. end

Property list

- Author(s): Sylvain Le Gall

### Types and exceptions

    type name = string

    exception Not_set of name * string option

The field of `name` is not set with optional explanation.

    exception No_printer of name

Can retrieve the field value, but no printer can convert. it to string.

    exception Unknown_field of name * name

`Unknown_field (fld, schm)` Unknown field `fld` in schema `schm`.

### Modules

    module Data: sig .. end

This module stores heterogeneous data defined in Schema and Field.

    module Schema: sig .. end

This module is a set of fields (Field.t and FieldRO.t) that can be addressed by their name (as string).

    module Field: sig .. end

This module defines a field that hold a value.

    module FieldRO: sig .. end

This module defines a read-only field.